//Set up global vars
let resultData = [];
let url = "https://en.wikipedia.org/w/api.php?&origin=*&action=opensearch&search="
var button = document.getElementById("submitBtn")
button.addEventListener("click", getUserInput);

//User input gathers the title from the input field, queries the wikipedia API and prints the results to the console
function getUserInput(){
  //Get the user input
  let userInput = document.getElementById("user-input-field").value
  console.log("user wants to search for: ", userInput)
  //Fetch the data at the API endpoint using the user's input. Convert it to json
  fetch(url + userInput)
    .then(function(response) {
    	console.log(response)
      return response.json()
   })
  //Then print the results to the console and push the data to an array we can use later to make html elements
    .then(function(jsonData){
      resultData.push(jsonData)
    	console.table(jsonData)
    	return jsonData[1]
  })
  	.then(titelData => {
    	console.log(titelData)
  })
}